#region Copyright Syncfusion Inc. 2001-2015.
// Copyright Syncfusion Inc. 2001-2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;
using System.IO;
//using Syncfusion.XlsIO;
using System.Diagnostics;
using System.Collections;

namespace GDBG_Sample
{
    public partial class Form1 : Form
    {
        DataCollection dataSource;
        public Form1()
        {
            InitializeComponent();
            this.gridDataBoundGrid1.AllowProportionalColumnSizing = true;
            dataSource = new DataCollection();
            Random rand = new Random();
            int r = rand.Next(100);
            for (int i = 0; i < 100; i++)
            {
                dataSource.Add(new Data(r.ToString(), "Category" + r.ToString(), "", r.ToString() + "Data"));
                r = rand.Next(100);
            }

            this.gridDataBoundGrid1.DataSource = dataSource;

            this.gridDataBoundGrid1.Model.ColStyles["Description"].CellType = GridCellTypeName.MaskEdit;
            this.gridDataBoundGrid1.Model.ColStyles["Description"].MaskEdit.Mask = "##-##-##";
        }
    }
}